/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.m-coaProjectMembersCard {
  box-shadow: 1px 1px 10px rgba(66, 70, 75, 0.25);
  padding: 0.5rem;
  &__header {
    display: flex;
    gap: 1rem;
  }
  &__title {
    @include primary-text(1rem, $coa-dark-gray-100, 700);
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }
  &__subtitle {
    @include primary-text(0.8rem, $coa-dark-gray-100, 400);
  }
  &__boldText {
    font-weight: 700;
  }
  &__extraInfo {
    color: $coa-grey-100 !important;
  }
  &__addressContainer {
    display: flex;
    &__value {
      flex: 1;
      text-overflow: ellipsis;
      overflow: hidden;
      white-space: nowrap;
      &:hover {
        white-space: normal;
        word-break: break-all;
      }
    }
  }
}
